gnutls_encode_gost_rs_value(3)

NAME
gnutls_encode_gost_rs_value - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_encode_gost_rs_value(gnutls_datum_t * sig_value, const gnutls_datum_t * r, const gnutls_datum_t * s);

ARGUMENTS

gnutls_datum_t * sig_value
    will hold a GOST signature according to RFC 4491 section 2.2.2

const gnutls_datum_t * r
    must contain the r value

const gnutls_datum_t * s
    must contain the s value

DESCRIPTION
This function will encode the provided r and s values, into binary representation according to RFC 4491 section 2.2.2, used for GOST R 34.10-2001 (and thus also for GOST R 34.10-2012) signatures.

The output value should be deallocated using gnutls_free().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

SINCE
3.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/